<nb-card>
  <nb-card-header class="center-text">
    <h1>Network Status</h1>
  </nb-card-header>
</nb-card>

<div class="row">
  <div class="col-md-6">
    <nb-card size="small">
    <nb-card-header class="center-text">
      <h1>Latency</h1>
    </nb-card-header>
    <nb-card-body>
      <div class="chart-info">
        <div>Average Last 2 Hours</div>
        <div class="h6">{{ this.livePingData.average | ngxNumberWithCommas }}</div>
        <div>Latest</div>
        <div class="h6">{{ this.livePingData.latest | ngxNumberWithCommas }}</div>
      </div>
      <ngx-hw-real-time-chart
        [liveData]="this.livePingData"
        [shouldUpdate]="this.shouldUpdatePing">
      </ngx-hw-real-time-chart>
    </nb-card-body>
  </nb-card>
    
  </div>
  <div class="col-md-6">
    <nb-card size="small">
    <nb-card-header class="center-text">
      <h1>Download</h1>
    </nb-card-header>
    <nb-card-body>
      <div class="chart-info">
        <div>Average Last 2 Hours</div>
        <div class="h6">{{ this.liveSpeedData.average | ngxNumberWithCommas }}</div>
        <div>Latest</div>
        <div class="h6">{{ this.liveSpeedData.latest | ngxNumberWithCommas }}</div>
      </div>
      <ngx-hw-real-time-chart
        [liveData]="this.liveSpeedData"
        [shouldUpdate]="this.shouldUpdateSpeed">
      </ngx-hw-real-time-chart>
    </nb-card-body>
  </nb-card>
  </div>
</div>

<nb-card>
  <nb-card-header class="center-text">
    <h2>Ping</h2>
  </nb-card-header>
  <div class="chart-container">
  <ngx-hw-period-select-header [type]="period"
    (periodChange)="setPeriodAndGetChartData($event, 'ping')">
  </ngx-hw-period-select-header>
  <ngx-hw-multiple-yvalues-chart [chartData]="this.pingChartData"></ngx-hw-multiple-yvalues-chart>
  </div>
</nb-card>

<nb-card>
  <nb-card-header class="center-text">
    <h2>Packet Loss</h2>
  </nb-card-header>
  <div class="chart-container">
    <ngx-hw-period-select-header [type]="period"
      (periodChange)="setPeriodAndGetChartData($event, 'packet')">
    </ngx-hw-period-select-header>
    <ngx-hw-multiple-yvalues-chart [chartData]="this.packetLossChartData"></ngx-hw-multiple-yvalues-chart>
    </div>
</nb-card>

<nb-card>
  <nb-card-header class="center-text">
    <h2>Speed</h2>
  </nb-card-header>
  <div class="chart-container">
    <ngx-hw-period-select-header [type]="period"
      (periodChange)="setPeriodAndGetChartData($event, 'speed')">
    </ngx-hw-period-select-header>
    <ngx-hw-multiple-yvalues-chart [chartData]="this.speedChartData"></ngx-hw-multiple-yvalues-chart>
    </div>
</nb-card>